Apache Tomcat 6.0.51

## org.apache.jasper.runtime
Class AnnotationHelper

    java.lang.Object
      org.apache.jasper.runtime.AnnotationHelper

    public class AnnotationHelper

extends java.lang.Object

Verify the annotation and Process it.

Author:
  Fabien Carrion, Remy Maucherat

Constructor Summary
`AnnotationHelper()`

Method Summary
`static void` | `postConstruct(AnnotationProcessor processor, java.lang.Object instance)` Call postConstruct method on the specified instance.
`static void` | `preDestroy(AnnotationProcessor processor, java.lang.Object instance)` Call preDestroy method on the specified instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationHelper

    public AnnotationHelper()

Method Detail

### postConstruct

    public static void postConstruct(AnnotationProcessor processor,
                                     java.lang.Object instance)
                              throws java.lang.IllegalAccessException,
                                     java.lang.reflect.InvocationTargetException,
                                     javax.naming.NamingException

  Call postConstruct method on the specified instance. Note: In Jasper, this calls naming resources injection as well.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `javax.naming.NamingException`

### preDestroy

    public static void preDestroy(AnnotationProcessor processor,
                                  java.lang.Object instance)
                           throws java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException

  Call preDestroy method on the specified instance.

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Apache Tomcat 6.0.51

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.